boomack.vegaConfig = boomack.replaceThemeProperties({
	autosize: {
		type: 'fit',
		contains: 'padding',
		resize: false,
	},
	padding: {
		left: 0,
		top: 0,
		right: 0,
		bottom: 0,
	},
	view: {
		continuousWidth: 400,
		step: 25,
	},
	background: null,
	group: {
	},
	axis: {
		domainColor: '${black}',
		tickColor: '${black}',
		gridColor: '${light-grey}',
		titleColor: '${headline-color}',
		titleFont: '${headline-font-family}',
		titleFontWeight: '${headline-font-weight}',
		titleFontSize: 15,
		labelColor: '${text-color}',
		labelFont: '${text-font-family}',
		labelFontWeight: '${text-font-weight}',
		labelFontSize: 13,
	},
	legend: {
		strokeColor: null,
		fillColor: null,
		gradientStrokeColor: '${dark-grey}',
		titleColor: '${headline-color}',
		titleFont: '${headline-font-family}',
		titleFontWeight: '${headline-font-weight}',
		titleFontSize: 15,
		labelColor: '${text-color}',
		labelFont: '${text-font-family}',
		labelFontWeight: '${text-font-weight}',
		labelFontSize: 13,
		symbolBaseFillColor: '${white}',
		symbolBaseStrokeColor: '${black}',
		symbolFillColor: '${text-color}',
		symbolStrokeColor: '${black}',
	},
	title: {
		color: '${headline-color}',
		font: '${headline-font-family}',
		fontWeight: '${headline-font-weight}',
		fontSize: 16,
		subtitleColor: '${text-color}',
		subtitleFont: '${headline-font-family}',
		subtitleFontWeight: '${headline-font-weight}',
	},
	mark: {
		color: '${text-color}',
	},
	text: {
		color: '${code-color}',
		font: '${code-font-family}',
		fontWeight: '${code-font-weight}',
		fontSize: 13,
	},
	range: {
		category: [
			'${blue}',
			'${orange}',
			'${green}',
			'${purple}',
			'${yellow}',
			'${violet}',
			'${teal}',
			'${red}',
			'${olive}',
			'${pink}',
			'${brown}',
		],
		ordinal: [
			'${blue}',
			'${orange}',
			'${green}',
			'${purple}',
			'${yellow}',
			'${violet}',
			'${teal}',
			'${red}',
			'${olive}',
			'${pink}',
			'${brown}',
		],
	}
});

$(function () {
	var style = document.createElement('style');
	var textNode = document.createTextNode(boomack.replaceThemeProperties(
		'#vg-tooltip-element.vg-tooltip.boomack-theme {' +
			'border: 1px solid ${grey};' +
			'background: ${background};' +
		'}' +
		'#vg-tooltip-element.vg-tooltip.boomack-theme td.value {' +
			'color: ${text-color};' +
			'font-family: ${text-font-family};' +
			'font-weight: ${text-font-weight};' +
			'text-decoration: ${text-text-decoration};' +
		'}' +
		'#vg-tooltip-element.vg-tooltip.boomack-theme td.key {' +
			'color: ${headline-color};' +
			'font-family: ${headline-font-family};' +
			'font-weight: ${headline-font-weight};' +
			'text-decoration: ${headline-text-decoration};' +
		'}'
	));
	style.appendChild(textNode);
	document.getElementsByTagName('head')[0].appendChild(style);
});
